Subject: RE: [Diffserv] Query related to implementing diffserv

From: Shahram Davari <[email-masked]>
Date: Mon, 13 Dec 1999 09:14:42 -0800

Hi,
 
According to RFC 2474, a Diffserv compliant node must implement Class
Selector PHBs. Other PHBs are optional.
 
Regards,
Shahram

-----Original Message-----
From: R. Vidya [mailto:[email-masked]]
Sent: Sunday, December 12, 1999 9:57 PM
To: [email-masked]
Subject: [Diffserv] Query related to implementing diffserv

Hi,
Im new to this diffserv. 
I want to implement a minimal diffserv in my server, How do I go abt?
what are all the minimal stuffs to be done to make the node as DS -
compliant?
If RSVP is also implemented in that server, how do I support diffserv over
RSVP?
It will be great if someone can throw light on these queries. Thanks in
advance.
Thanks
Vidya

_______________________________________________
diffserv mailing list
[email-masked]
http://www.ietf.org/mailman/listinfo/diffserv
Archive: http://www-nrg.ee.lbl.gov/diff-serv-arch/

---

From: "R. Vidya" <[email-masked]>
Date: Wed, 15 Dec 1999 16:53:26 +0530

Hi,
Thanks Brian for the info.
I just want to know that if I have a dscp code mapping to a strict priority queueing with a MF classifier will suffice a rfc 2474 compliant diffserv.
Im new to this diffserv mailing and sorry for the trouble if Im askin some absurd question.
Pl do throw light on this.
Thanks
Vidya

    -----Original Message-----
    From: Brian E Carpenter <[email-masked]>
    To: R. Vidya <[email-masked]>
    Cc: [email-masked] <[email-masked]>
    Date: Monday, December 13, 1999 10:32 PM
    Subject: Re: [Diffserv] Query related to implementing diffserv

    Vidya,
    
    1. We are working to set up a diffserv implementors' list where this kind of topic
    will be the main subject. Here, we develop the standards. However, since that
    list does not yet exist...
    
    2. It depends what you mean by minimal. If you are satisfied with the Class Selector
    PHBs, all you have to do is implement RFC 2474. In a host, this is a pretty small, 
    possibly null, change to an existing RFC 791 implementation. If you want to support 
    the AF or EF PHBs, you also have to implement RFC 2597 and 2598. 
    
    3. RSVP and Diffserv can simply co-exist, or they can interwork. For simple
    coexistence, you don't have to do anything. For interworking, there are
    proposals in the ISSLL working group that have not yet been standardized
    (although they have been implemented in at least one operating system).
    
    For all of the above, it is really desirable for the server to support traffic shaping.
    It is more or less useless for a server to request QOS (either by using RSVP/IntServ
    or Diffserv) without shaping the outgoing traffic stream. Also, of course,
    it's useless unless your network infrastructure and ISP support QOS.
    
      Brian
    
    > "R. Vidya" wrote:
    > what are all the minimal stuffs to be done to make the node as DS - compliant?
    > If RSVP is also implemented in that server, how do I support diffserv over RSVP?
    > It will be great if someone can throw light on these queries. Thanks in advance.
    > Thanks
    > Vidya
    > 
    > 
    >